Bug 90062 - New port: net/nepenthes (resend with shar)
New port: net/nepenthes (resend with shar)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2005-12-07 10:20 UTC by ryo
Modified: 2006-01-02 21:27 UTC (History)
1 user (show)

See Also:

file.shar (28.40 KB, text/plain)
2005-12-07 10:20 UTC, ryo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ryo 2005-12-07 10:20:01 UTC
Nepenthes can determine the malware activity on a network
by deploying a nepenthes sensor (i.e. honey pot). The programm
emulates different well known vulnerabilities waiting for
malicious connections trying to exploit them.

WWW: http://nepenthes.sourceforge.net
Comment 1 Emanuel Haupt freebsd_committer 2005-12-08 17:19:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Comment 2 Emanuel Haupt freebsd_committer 2005-12-08 17:30:06 UTC
Content-Type: text/plain; charset=US-ASCII
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable


When I am trying to unpack the shell archive I get:

$ sh nepenthes.shar=20
c - nepenthes-port
c - nepenthes-port/files
x - nepenthes-port/files/patch-log
x - nepenthes-port/files/patch-docdir
x - nepenthes-port/files/nepenthes.sh.in
x -
nepenthes.shar: 120: Syntax error: Illegal eof marker for << redirection

There is probably a CR/LF hidden somewhere. Please have a look at [1].
This section gives you an example how to work arround this problem.

[1] http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/slow-=

Could you please resend a corrected shar?

Comment 3 Emanuel Haupt freebsd_committer 2005-12-09 08:59:19 UTC
Received a new Version:

GnuPG key id: 0x55E67774         Download: http://pgp.mit.edu:11371
Key fingerprint: 17B3 FD8F BA68 4AB4 10FD  A9D1 AD52 6588 55E6 7774
Comment 4 Emanuel Haupt freebsd_committer 2005-12-10 15:50:20 UTC
- Why did you comment out USE_RC_SUBR? 

- 'CONFIGURE_ARGS+= --enable-ssh' does not seem to work since configure can't
  find libssh.h

configure:23701: checking for libssh
configure:23748: checking libssh.h usability
configure:23760: cc -c -O2 -pipe -DYESWERESPECTCFLAGS   -I/usr/local/include -I/usr/src/contrib/file/ conftest.c >&5
conftest.c:111:20: libssh.h: No such file or directory

- Please provide unified patches for each file and use the naming convention
  mentioned in the porters handbook [1]

- The port also requires perl (Hint: Add USE_PERL5= yes)

- Are the following files documentation or are they required to run the program?


- Please run portlint -A (devel/portlint)

Do you think you could fix these points and follow up a new shell archive?

Thanks in advance,

GnuPG key id: 0x55E67774         Download: http://pgp.mit.edu:11371
Key fingerprint: 17B3 FD8F BA68 4AB4 10FD  A9D1 AD52 6588 55E6 7774
Comment 5 Emanuel Haupt freebsd_committer 2005-12-10 15:50:42 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 6 Emanuel Haupt freebsd_committer 2005-12-22 18:13:36 UTC
Responsible Changed
From-To: ehaupt->freebsd-ports-bugs

Comment 7 Edwin Groothuis freebsd_committer 2006-01-02 21:24:55 UTC
State Changed
From-To: feedback->closed

Commited, thanks! 

Please redo the post-install one so that the patch of the Makefile 
gets done properly. Right now it is installing in share/doc/nepenthes 
in the Makefile of the tarball.